## colord-gtk 0.3.0

=== meson_options.txt ===
option('gtk4', type : 'boolean', value : true, description : 'Build Gtk4 library')
option('gtk3', type : 'boolean', value : true, description : 'Build Gtk3 library')
option('gtk2', type : 'boolean', value : false, description : 'Build Gtk2 library')
option('introspection', type : 'boolean', value : true, description : 'Build gobject-introspection typelib files')
option('vapi', type : 'boolean', value : false, description : 'Build vala bindings')
option('tests', type : 'boolean', value : true, description : 'Build self tests')
option('man', type : 'boolean', value : true, description : 'Generate man pages')
option('docs', type : 'boolean', value : true, description : 'Generate documentation')

## colord-gtk 0.1.24

=== debian/changelog ===
colord-gtk (0.1.24-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1098811)
  * debian/libcolord-gtk1.symbols: Add new symbols
  * debian/rules: Explicitly enable building vala bindings

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Jan 2013 12:10:50 -0500

colord-gtk (0.1.23-0ubuntu1) raring; urgency=low

  * Initial release (LP: #1053701)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 16 Nov 2012 11:32:30 +1300

=== debian/control ===
Source: colord-gtk
Priority: optional
Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gtk-doc-tools,
               libglib2.0-dev (>= 2.28.0),
               libgtk-3-dev,
               libcolord-dev,
               gir1.2-colord-1.0,
               liblcms2-dev (>= 2.2),
               valac-0.16,
               gobject-introspection,
               libgirepository1.0-dev
Standards-Version: 3.9.3
Section: graphics
Homepage: http://www.freedesktop.org/software/colord/

Package: libcolord-gtk1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: colord
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: system service to manage device colour profiles -- runtime
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains a convenience library for GTK+ programs that wish to
 handle colour management to interact with the colord system daemon.

Package: libcolord-gtk-dev
Section: libdevel
Architecture: any
Depends: libcolord-gtk1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: system service to manage device colour profiles -- runtime
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains the development files necessary for a GTK+ program
 to build against the libcolord-gtk library.

Package: gir1.2-colordgtk-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the colord-gtk library
 This package contains introspection data for libcolord-gtk, a gobject-based
 convenience library for programs to interact with the colord system daemon.
 .
 It can be used by packages using the GIRepository format to generate 
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_install:
	# The .la file(s) are entirely useless; kill them with fire.
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_auto_test:
	@echo "TODO: Test suite disabled - requires running dbus daemon, currently fails"

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_gencontrol:
	dh_girepository
	dh_gencontrol

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-vala

%:
	dh $@ --parallel --with autoreconf

## colord-gtk 0.1.25

=== debian/changelog ===
colord-gtk (0.1.25-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add Breaks-Replaces with gir1.2-colord-1.0 << 0.1.31-1, which used to ship
    /usr/lib/girepository-1.0/ColordGtk-1.0.typelib. (Closes: 718002)

 -- Margarita Manterola <marga@debian.org>  Sun, 24 Nov 2013 19:45:01 +0100

colord-gtk (0.1.25-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control:
    - Bump minimum colord
    - Build with default valac

  [ Christopher James Halse Rogers ]
  * debian/copyright:
    - Update licence for cd-sample-widget.*

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 27 Jun 2013 11:54:55 +1000

colord-gtk (0.1.24-1) experimental; urgency=low

  * Initial release (Closes: 702620)
  * Based on the Ubuntu packaging; thanks Jeremy Bicha and Robert Ancell!

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 09 Mar 2013 18:11:02 +1100

=== debian/control ===
Source: colord-gtk
Priority: optional
Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gtk-doc-tools,
               libglib2.0-dev (>= 2.28.0),
               libgtk-3-dev,
               libcolord-dev (>= 0.1.27),
               gir1.2-colord-1.0,
               liblcms2-dev (>= 2.2),
               valac (>= 0.16),
               gobject-introspection,
               libgirepository1.0-dev,
Standards-Version: 3.9.4
Section: graphics
Homepage: http://www.freedesktop.org/software/colord/
Vcs-Git: git://anonscm.debian.org/git/collab-maint/colord-gtk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/colord-gtk.git;a=summary

Package: libcolord-gtk1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: colord
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: GTK+ convenience library for interacting with colord
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 This is a GTK+ convenience library for interacting with colord. It is useful
 for both applications which need colour management and applications that wish
 to perform colour calibration.
 .
 This package contains the runtime libraries. 

Package: libcolord-gtk-dev
Section: libdevel
Architecture: any
Depends: libcolord-gtk1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: GTK+ convenience library for interacting with colord - dev files
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 This is a GTK+ convenience library for interacting with colord. It is useful
 for both applications which need colour management and applications that wish
 to perform colour calibration.
 .
 This package contains the development files necessary for a GTK+ program
 to build against the libcolord-gtk library.

Package: gir1.2-colordgtk-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: gir1.2-colord-1.0 (<< 0.1.31-1)
Replaces: gir1.2-colord-1.0 (<< 0.1.31-1)
Description: GObject introspection data for the colord-gtk library
 This package contains introspection data for libcolord-gtk, a gobject-based
 convenience library for programs to interact with the colord system daemon.
 .
 It can be used by packages using the GIRepository format to generate 
 dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_BUILD_MAINT_OPTIONS = hardening=all
 
 override_dh_install:
 	# The .la file(s) are entirely useless; kill them with fire.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.freedesktop.org/software/colord/releases/colord-gtk-(.*)\.tar\.xz

## colord-gtk 0.1.26

=== debian/changelog ===
colord-gtk (0.1.26-2) unstable; urgency=medium

  [ Christopher James Halse Rogers ]
  * Acknowledge NMU. Thanks to Andreas Moog!
  * Drop the GTK2 build, it's unused (Closes: #883334)
  * Add GIR dependency on the -dev package, as per gobject-introspection
    mini-policy.
  * debian/copyright:
    + Use https protocol for copyright-format URL
    + Use https:// for upstream URL
  * debian/control:
    + Wrap long line in colord-gtk-utils extended description
    + colord-gtk-utils can inherit Section from the source package
    + Use https:// URI for Homepage
    + Use canonical Vcs-* URIs.
    + Mark libcolord-gtk-dev and gir1.2- packages as Multi-Arch: same
  * debian/rules:
    + Correctly set hardening flags
  * debian/gir1.2-colordgtk-1.0.install: Install typelib into multiarch path.
  * debian/watch: Add PGP signature verification
  * Bump Standards-Version to 4.1.2

  [ Jeremy Bicha ]
  * Bump debhelper compat to 10

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 12 Dec 2017 11:54:22 +1100

colord-gtk (0.1.26-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add intltool to Build-Depends to fix FTBFS with newer version of
    gtk-doc-tools (Closes: #837843)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Thu, 08 Dec 2016 18:07:34 +0100

colord-gtk (0.1.26-1) unstable; urgency=medium

  * Acknowledge NMU. Thanks to Margarita Manterola!
  * Package new cd-convert utility in colord-gtk-utils
  * Add a GTK2 build of colord-gtk library.
    Somewhat late, but there's still plenty of GTK2 code around that
    could benefit. (Closes: 678715)
  * Bump Standards-Version; no changes required
  * Add docbook-utils Build-Dependency for cd-convert manpage generation.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 27 Nov 2015 07:56:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: colord-gtk
 Priority: optional
 Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                gtk-doc-tools,
                libglib2.0-dev (>= 2.28.0),
                libgtk-3-dev,
@@ -12,11 +11,13 @@
                valac (>= 0.16),
                gobject-introspection,
                libgirepository1.0-dev,
-Standards-Version: 3.9.4
+               docbook-utils,
+               intltool
+Standards-Version: 4.1.2
 Section: graphics
-Homepage: http://www.freedesktop.org/software/colord/
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/colord-gtk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/colord-gtk.git;a=summary
+Homepage: https://www.freedesktop.org/software/colord/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/colord-gtk.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/colord-gtk.git
 
 Package: libcolord-gtk1
 Section: libs
@@ -34,12 +35,15 @@
  for both applications which need colour management and applications that wish
  to perform colour calibration.
  .
- This package contains the runtime libraries. 
+ This package contains the runtime libraries.
 
 Package: libcolord-gtk-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libcolord-gtk1 (= ${binary:Version}),
+         gir1.2-colordgtk-1.0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: GTK+ convenience library for interacting with colord - dev files
@@ -56,6 +60,8 @@
 Package: gir1.2-colordgtk-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
@@ -65,5 +71,16 @@
  This package contains introspection data for libcolord-gtk, a gobject-based
  convenience library for programs to interact with the colord system daemon.
  .
- It can be used by packages using the GIRepository format to generate 
+ It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: colord-gtk-utils
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: miscellaneous GUI utilities interacting with colord
+ This package contains graphical utilities for interacting with colord,
+ including:
+  * cd-convert: A tool for converting a pair of .ti3 files to a .ccmx file,
+                or generating a .ti3 device sample file from a .ti1
+                target file.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 override_dh_install:
 	# The .la file(s) are entirely useless; kill them with fire.
@@ -33,4 +33,4 @@
 	dh_auto_configure -- --enable-vala
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@

## colord-gtk 0.1.26-2

=== debian/changelog ===
colord-gtk (0.1.26-2-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:23:05 +0800

## colord-gtk 0.2.0

=== debian/changelog ===
colord-gtk (0.2.0-0ubuntu1) eoan; urgency=medium

  * New upstream version
  * debian/control:
    - Build-Depends on meson and gettext and docbook-xsl-ns,
      don't use intltool anymore
  * debian/libcolord-gtk-dev.install:
    - removed the .a reference, meson doesn't build one
  * debian/rules:
    - drop the dh_install/dh_autoreconf override, they are not needed
      when building with meson

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 15:17:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
 Build-Depends: debhelper (>= 10),
                gtk-doc-tools,
+               meson (>= 0.46),
                libglib2.0-dev (>= 2.28.0),
                libgtk-3-dev,
                libcolord-dev (>= 0.1.27),
@@ -12,7 +13,8 @@
                gobject-introspection,
                libgirepository1.0-dev,
                docbook-utils,
-               intltool
+               docbook-xsl-ns,
+               gettext
 Standards-Version: 4.1.2
 Section: graphics
 Homepage: https://www.freedesktop.org/software/colord/

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-override_dh_install:
-	# The .la file(s) are entirely useless; kill them with fire.
-	find debian/tmp -name '*.la' -delete
-	dh_install --fail-missing
-
 override_dh_auto_test:
 	@echo "TODO: Test suite disabled - requires running dbus daemon, currently fails"
 
@@ -26,11 +21,8 @@
 	dh_girepository
 	dh_gencontrol
 
-override_dh_autoreconf:
-	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
-
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-vala
+	dh_auto_configure -- -Dvapi=true
 
 %:
 	dh $@

## colord-gtk 0.3.0

=== debian/changelog ===
colord-gtk (0.3.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Build with meson
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir
  * Add debian/docs to install NEWS

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 08:56:44 -0500

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: colord-gtk
 Priority: optional
 Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               docbook-xsl-ns,
                gtk-doc-tools,
-               meson (>= 0.46),
                libglib2.0-dev (>= 2.28.0),
                libgtk-3-dev,
                libcolord-dev (>= 0.1.27),
-               gir1.2-colord-1.0,
+               meson (>= 0.46.0),
                liblcms2-dev (>= 2.2),
                valac (>= 0.16),
-               gobject-introspection,
                libgirepository1.0-dev,
-               docbook-utils,
-               docbook-xsl-ns,
-               gettext
+               xsltproc
 Standards-Version: 4.1.2
 Section: graphics
 Homepage: https://www.freedesktop.org/software/colord/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/colord-gtk.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/colord-gtk.git
+Vcs-Git: https://salsa.debian.org/debian/colord-gtk.git
+Vcs-Browser: https://salsa.debian.org/debian/colord-gtk
 
 Package: libcolord-gtk1
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -10,19 +10,17 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 override_dh_auto_test:
 	@echo "TODO: Test suite disabled - requires running dbus daemon, currently fails"
 
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4
-
-override_dh_gencontrol:
-	dh_girepository
-	dh_gencontrol
-
+# Add a docs package at the same time as the GTK4 packages to go through NEW just once
 override_dh_auto_configure:
-	dh_auto_configure -- -Dvapi=true
+	dh_auto_configure -- \
+		-Dvapi=true \
+		-Dgtk4=false \
+		-Ddocs=false
 
 %:
 	dh $@

## colord-gtk 0.3.1

=== debian/changelog ===
colord-gtk (0.3.1-2) unstable; urgency=medium

  * Change Maintainer to freedesktop team with former Maintainer's approval
    (Closes: #1053175)
  * Update gir handling (Closes: #1118807)
  * Add Build-Depends-Package
  * Remove obsolete lintian overrides
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Oct 2025 21:14:39 -0400

colord-gtk (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable (Closes: #1062095)
  * Build-depend on dpkg-dev (>= 1.22.5)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 18:12:21 -0500

colord-gtk (0.3.0-4.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Wed, 31 Jan 2024 11:01:08 +0000

colord-gtk (0.3.0-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Add debian/upstream/metadata

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures
  * Remove constraints unnecessary since buster (oldstable)
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Jun 2023 12:04:11 -0400

colord-gtk (0.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix typo "Replacs" in debian/control. Closes: #1034921

 -- Andreas Metzler <ametzler@debian.org>  Thu, 18 May 2023 14:17:42 +0200

colord-gtk (0.3.0-3) unstable; urgency=medium

  * Source-only rebuild

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Mar 2022 14:12:29 -0400

colord-gtk (0.3.0-2) unstable; urgency=medium

  * Team upload
  * Build gtk4 library (Closes: #1008678)
  * Add libcolord-gtk-headers package for shared headers for both
    GTK3 & GTK4
  * Add libcolord-gtk-doc package
  * debian/libcolord-gtk1.install: Stop installing useless /usr/share/locale/
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Mar 2022 16:56:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,39 @@
 Source: colord-gtk
 Priority: optional
-Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
+Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Uploaders: Christopher James Halse Rogers <raof@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               dpkg-dev (>= 1.22.5),
                docbook-xsl-ns,
-               gtk-doc-tools,
-               libglib2.0-dev (>= 2.28.0),
+               gir1.2-colord-1.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gtk-3.0-dev,
+               libglib2.0-dev,
                libgtk-3-dev,
-               libcolord-dev (>= 0.1.27),
-               meson (>= 0.46.0),
-               liblcms2-dev (>= 2.2),
-               valac (>= 0.16),
-               libgirepository1.0-dev,
+               libgtk-4-dev,
+               libcolord-dev,
+               meson,
+               liblcms2-dev,
+               valac,
                xsltproc
-Standards-Version: 4.1.2
+Build-Depends-Indep: gtk-doc-tools <!nodoc>
+Standards-Version: 4.7.2
 Section: graphics
 Homepage: https://www.freedesktop.org/software/colord/
 Vcs-Git: https://salsa.debian.org/debian/colord-gtk.git
 Vcs-Browser: https://salsa.debian.org/debian/colord-gtk
 
-Package: libcolord-gtk1
+Package: libcolord-gtk1t64
+Provides: ${t64:Provides}
+Replaces: libcolord-gtk1
+Breaks: libcolord-gtk1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: colord
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: GTK+ convenience library for interacting with colord
  colord is a system service that makes it easy to manage, install and generate
@@ -37,15 +45,38 @@
  .
  This package contains the runtime libraries.
 
+Package: libcolord-gtk4-1t64
+Provides: ${t64:Provides}
+Replaces: libcolord-gtk4-1
+Breaks: libcolord-gtk4-1 (<< ${source:Version})
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: colord
+Multi-Arch: same
+Description: GTK4 convenience library for interacting with colord
+ colord is a system service that makes it easy to manage, install and generate
+ colour profiles to accurately colour manage input and output devices.
+ .
+ This is a GTK4 convenience library for interacting with colord. It is useful
+ for both applications which need colour management and applications that wish
+ to perform colour calibration.
+ .
+ This package contains the runtime libraries.
+
 Package: libcolord-gtk-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libcolord-gtk1 (= ${binary:Version}),
-         gir1.2-colordgtk-1.0 (= ${binary:Version}),
-         ${shlibs:Depends},
+Depends: libcolord-gtk1t64 (= ${binary:Version}),
+         libcolord-gtk-headers (= ${binary:Version}),
+         libcolord-dev,
+         libgtk-3-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides},
+Suggests: libcolord-gtk-docs
 Description: GTK+ convenience library for interacting with colord - dev files
  colord is a system service that makes it easy to manage, install and generate
  colour profiles to accurately colour manage input and output devices.
@@ -57,16 +88,71 @@
  This package contains the development files necessary for a GTK+ program
  to build against the libcolord-gtk library.
 
+Package: libcolord-gtk4-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libcolord-gtk4-1t64 (= ${binary:Version}),
+         libcolord-gtk-headers (= ${binary:Version}),
+         libcolord-dev,
+         libgtk-4-dev,
+         ${misc:Depends}
+Suggests: libcolord-gtk-docs
+Description: GTK4 convenience library for interacting with colord - dev files
+ colord is a system service that makes it easy to manage, install and generate
+ colour profiles to accurately colour manage input and output devices.
+ .
+ This is a GTK4 convenience library for interacting with colord. It is useful
+ for both applications which need colour management and applications that wish
+ to perform colour calibration.
+ .
+ This package contains the development files necessary for a GTK4 program
+ to build against the libcolord-gtk4 library.
+
+Package: libcolord-gtk-headers
+Architecture: linux-any
+Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends},
+Breaks: libcolord-gtk-dev (<< 0.3.0-2~)
+Replaces: libcolord-gtk-dev (<< 0.3.0-2~)
+Suggests: libcolord-gtk4-dev | libcolord-gtk-dev
+Description: GTK convenience library for interacting with colord - headers
+ colord is a system service that makes it easy to manage, install and generate
+ colour profiles to accurately colour manage input and output devices.
+ .
+ This is a GTK convenience library for interacting with colord. It is useful
+ for both applications which need colour management and applications that wish
+ to perform colour calibration.
+ .
+ If you want to have your package use this library, add libcolord-gtk4-dev
+ or libcolord-gtk-dev to your package's Build-Depends. Do not build-depend on
+ libcolord-gtk-headers directly.
+ .
+ This package contains the development header files.
+
+Package: libcolord-gtk-doc
+Build-Profiles: <!nodoc>
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: GTK convenience library for interacting with colord - docs
+ colord is a system service that makes it easy to manage, install and generate
+ colour profiles to accurately colour manage input and output devices.
+ .
+ This is a GTK convenience library for interacting with colord. It is useful
+ for both applications which need colour management and applications that wish
+ to perform colour calibration.
+ .
+ This package contains the API reference.
+
 Package: gir1.2-colordgtk-1.0
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${gir:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
-Breaks: gir1.2-colord-1.0 (<< 0.1.31-1)
-Replaces: gir1.2-colord-1.0 (<< 0.1.31-1)
 Description: GObject introspection data for the colord-gtk library
  This package contains introspection data for libcolord-gtk, a gobject-based
  convenience library for programs to interact with the colord system daemon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dvapi=true \
		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),true,false)

override_dh_auto_test:
	@echo "TODO: Test suite disabled - requires running dbus daemon, currently fails"

# This was installed by libcolord-gtk1 until 0.3.0-2 but it only provides a
# useless en_GB translation. Ubuntu doesn't translate this project either.
# The only translatable string is for colord-gtk-utils.
override_dh_missing:
	dh_missing -X usr/share/locale/

%:
	dh $@

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
opts=\
    pgpsigurlmangle=s/$/.asc/ \
    https://www.freedesktop.org/software/colord/releases/colord-gtk-(.*)\.tar\.xz
